Skip to main content
GET
/
api
/
v1
/
runs
/
{id}
Get run
curl --request GET \
  --url https://app.eigenpal.com/api/v1/runs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "run": {
    "id": "<string>",
    "triggerType": "<string>",
    "createdAt": "<string>",
    "durationMs": 123,
    "error": "<string>",
    "batchId": "<string>",
    "previousExecutionId": "<string>",
    "retryNumber": 123,
    "schemaValid": true,
    "evalPassed": true,
    "triggeredBy": {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>"
    },
    "version": "<string>",
    "requestedSourceRef": "<string>",
    "resolvedGitRef": "<string>",
    "resolvedGitTag": "<string>",
    "resolvedCommitSha": "<string>",
    "sourceId": "<string>",
    "sourceName": "<string>",
    "agentSlug": "<string>",
    "startedAt": "<string>",
    "completedAt": "<string>",
    "evalScore": 123,
    "exampleId": "<string>",
    "exampleName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Run id

Query Parameters

include
string

Comma-separated sections. Include detail for rich payload.

Response

Run

run
object
required